Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Lamp::Math Class Reference

数学ヘッダ More...

`#include <Math.h>`

List of all members.

## Static Public Member Functions
float | toRadian (float degree)
| 度からラジアンへの変換
float | toDegree (float radian)
| ラジアンから度への変換
int | maximum (int a, int b)
| Maximum.
u_int | maximum (u_int a, u_int b)
| Maximum.
float | maximum (float a, float b)
| Maximum.
int | minimum (int a, int b)
| Minimum.
int | minimum (u_int a, u_int b)
| Minimum.
float | minimum (float a, float b)
| Minimum.
void | swap (int &a, int &b)
| スワップ
void | swap (u_int &a, u_int &b)
| スワップ
void | swap (float &a, float &b)
| スワップ
int | abs (int x)
| 絶対値
float | abs (float x)
| 絶対値
float | floor (float x)
| 小数部の切り捨て
float | ceil (float x)
| 小数部の切り上げ
float | fmod (float x, float y)
| 余り
float | modf (float x, float *integer)
| 整数部と小数部への分離
float | sqrt (float x)
| 平方根
bool | classCheck (float x)
| 浮動小数点チェック
float | pow (float x, float y)
| べき乗
float | exp (float x)
| 指数
float | log (float x)
| 自然対数
float | log10 (float x)
| 常用対数
bool | checkPow2 (int value)
| 2の累乗かどうか
float | sin (float x)
| 正弦
float | cos (float x)
| 余弦
float | tan (float x)
| 正接
float | sinh (float x)
| 双曲正弦
float | cosh (float x)
| 双曲余弦
float | tanh (float x)
| 双曲正接
float | asin (float x)
| 逆正弦
float | acos (float x)
| 逆余弦
float | atan (float x)
| 逆正接
float | atan2 (float y, float x)
| 逆正接
## Static Public Attributes
const float | PI = (float)3.14159265358979323846
| パイ
const float | quadruplePI = (float)(3.14159265358979323846 * 4.)
| パイ * 4
const float | doublePI = (float)(3.14159265358979323846 * 2.)
| パイ * 2
const float | halfPI = (float)(3.14159265358979323846 / 2.)
| パイ / 2
const float | quadrantPI = (float)(3.14159265358979323846 / 4.)
| パイ / 4
const float | E = 2.71828182845904523536f
| 自然対数の底
const float | epsilon = 1e-06f
| イプシロン

## Detailed Description

数学ヘッダ

Definition at line 37 of file Math.h.

## Member Function Documentation

float Lamp::Math::abs | ( | float | x | ) | `[inline, static]`

  | 絶対値 Parameters:
  x | 絶対値にする数字
Returns: 絶対値 Definition at line 206 of file Math.h.

int Lamp::Math::abs | ( | int | x | ) | `[inline, static]`

  | 絶対値 Parameters:
  x | 絶対値にする数字
Returns: 絶対値 Definition at line 199 of file Math.h.

float Lamp::Math::acos | ( | float | x | ) | `[inline, static]`

  | 逆余弦 Parameters:
  x | 逆余弦を計算する値。-1 〜 1
Returns: xの逆余弦。-π/2 〜 π/2 Definition at line 373 of file Math.h.

float Lamp::Math::asin | ( | float | x | ) | `[inline, static]`

  | 逆正弦 Parameters:
  x | 逆正弦を計算する値。-1 〜 1
Returns: xの逆正弦。-π/2 〜 π/2 Definition at line 366 of file Math.h.

float Lamp::Math::atan | ( | float | x | ) | `[inline, static]`

  | 逆正接 Parameters:
  x | 逆正接を計算する値
Returns: xの逆正接。-π/2 〜 π/2 Definition at line 380 of file Math.h.

float Lamp::Math::atan2 | ( | float | y,
|  | float | x
| ) | `[inline, static]`

  | 逆正接 Parameters:
  y | 逆正接を計算するy値
  x | 逆正接を計算するx値
Returns: (x, y)の逆正接。-π 〜 π Definition at line 388 of file Math.h.

float Lamp::Math::ceil | ( | float | x | ) | `[inline, static]`

  | 小数部の切り上げ Parameters:
  x | 小数部を切り上げる値
Returns: 小数部が切り上げられた値 Definition at line 223 of file Math.h.

bool Lamp::Math::checkPow2 | ( | int | value | ) | `[inline, static]`

| 2の累乗かどうか Returns: 2の累乗ならtrue Definition at line 308 of file Math.h.

bool Lamp::Math::classCheck | ( | float | x | ) | `[inline, static]`

  | 浮動小数点チェック Parameters:
  x | チェックする値
Returns: 正常な値ならtrue Definition at line 261 of file Math.h.

float Lamp::Math::cos | ( | float | x | ) | `[inline, static]`

  | 余弦 Parameters:
  x | 余弦を計算する値
Returns: xの余弦 Definition at line 331 of file Math.h.

float Lamp::Math::cosh | ( | float | x | ) | `[inline, static]`

  | 双曲余弦 Parameters:
  x | 双曲余弦を計算する値
Returns: xの双曲余弦 Definition at line 352 of file Math.h.

float Lamp::Math::exp | ( | float | x | ) | `[inline, static]`

  | 指数 Parameters:
  x | 乗数
Returns: 自然対数の底 Math::E のx乗の値を返します Definition at line 288 of file Math.h.

float Lamp::Math::floor | ( | float | x | ) | `[inline, static]`

  | 小数部の切り捨て Parameters:
  x | 小数部を切り捨てる値
Returns: 小数部が切り捨てられた値 Definition at line 216 of file Math.h.

float Lamp::Math::fmod | ( | float | x,
|  | float | y
| ) | `[inline, static]`

  | 余り Parameters:
  x | 分母
  y | 分子
Returns: xをyで割った際の余りを返します Definition at line 234 of file Math.h.

float Lamp::Math::log | ( | float | x | ) | `[inline, static]`

  | 自然対数 Parameters:
  x | 自然対数をとる対象値
Returns: xの自然対数を返します Definition at line 295 of file Math.h.

float Lamp::Math::log10 | ( | float | x | ) | `[inline, static]`

  | 常用対数 Parameters:
  x | 常用対数をとる対象値
Returns: xの常用対数を返します Definition at line 302 of file Math.h.

float Lamp::Math::maximum | ( | float | a,
|  | float | b
| ) | `[inline, static]`

  | Maximum. Parameters:
  a | 左辺値
  b | 右辺値
Returns: 大きいほうの値を返す Definition at line 117 of file Math.h.

u_int Lamp::Math::maximum | ( | u_int | a,
|  | u_int | b
| ) | `[inline, static]`

  | Maximum. Parameters:
  a | 左辺値
  b | 右辺値
Returns: 大きいほうの値を返す Definition at line 106 of file Math.h. References u_int.

int Lamp::Math::maximum | ( | int | a,
|  | int | b
| ) | `[inline, static]`

  | Maximum. Parameters:
  a | 左辺値
  b | 右辺値
Returns: 大きいほうの値を返す Definition at line 95 of file Math.h.

float Lamp::Math::minimum | ( | float | a,
|  | float | b
| ) | `[inline, static]`

  | Minimum. Parameters:
  a | 左辺値
  b | 右辺値
Returns: 小さいほうの値を返す Definition at line 150 of file Math.h.

int Lamp::Math::minimum | ( | u_int | a,
|  | u_int | b
| ) | `[inline, static]`

  | Minimum. Parameters:
  a | 左辺値
  b | 右辺値
Returns: 小さいほうの値を返す Definition at line 139 of file Math.h.

int Lamp::Math::minimum | ( | int | a,
|  | int | b
| ) | `[inline, static]`

  | Minimum. Parameters:
  a | 左辺値
  b | 右辺値
Returns: 小さいほうの値を返す Definition at line 128 of file Math.h.

float Lamp::Math::modf | ( | float | x,
|  | float * | integer
| ) | `[inline, static]`

  | 整数部と小数部への分離 Parameters:
  x | 対象となる浮動小数値
  integer | [out] xの整数部を格納するポインタ
Returns: xの小数部分 Definition at line 242 of file Math.h.

float Lamp::Math::pow | ( | float | x,
|  | float | y
| ) | `[inline, static]`

  | べき乗 Parameters:
  x | 底
  y | 指数
Returns: xのy乗を返します Definition at line 281 of file Math.h.

float Lamp::Math::sin | ( | float | x | ) | `[inline, static]`

  | 正弦 Parameters:
  x | 正弦を計算する値
Returns: xの正弦 Definition at line 324 of file Math.h.

float Lamp::Math::sinh | ( | float | x | ) | `[inline, static]`

  | 双曲正弦 Parameters:
  x | 双曲正弦を計算する値
Returns: xの双曲正弦 Definition at line 345 of file Math.h.

float Lamp::Math::sqrt | ( | float | x | ) | `[inline, static]`

  | 平方根 Parameters:
  x | 平方根をとる正の値
Returns: 平方根 Definition at line 251 of file Math.h. References Assert.

void Lamp::Math::swap | ( | float & | a,
|  | float & | b
| ) | `[inline, static]`

  | スワップ Parameters:
  a | 左辺値
  b | 右辺値
Definition at line 185 of file Math.h.

void Lamp::Math::swap | ( | u_int & | a,
|  | u_int & | b
| ) | `[inline, static]`

  | スワップ Parameters:
  a | 左辺値
  b | 右辺値
Definition at line 174 of file Math.h. References u_int.

void Lamp::Math::swap | ( | int & | a,
|  | int & | b
| ) | `[inline, static]`

  | スワップ Parameters:
  a | 左辺値
  b | 右辺値
Definition at line 163 of file Math.h.

float Lamp::Math::tan | ( | float | x | ) | `[inline, static]`

  | 正接 Parameters:
  x | 正接を計算する値
Returns: xの正接 Definition at line 338 of file Math.h.

float Lamp::Math::tanh | ( | float | x | ) | `[inline, static]`

  | 双曲正接 Parameters:
  x | 双曲正接を計算する値
Returns: xの双曲正接 Definition at line 359 of file Math.h.

float Lamp::Math::toDegree | ( | float | radian | ) | `[inline, static]`

  | ラジアンから度への変換 Parameters:
  radian | ラジアン
Returns: 度 Definition at line 81 of file Math.h. References PI.

float Lamp::Math::toRadian | ( | float | degree | ) | `[inline, static]`

  | 度からラジアンへの変換 Parameters:
  degree | 度
Returns: ラジアン Definition at line 71 of file Math.h. References PI.

The documentation for this class was generated from the following files:

- Math.h
- Math.cpp